import request from '@/utils/request'

// 查询设备盘点计划列表
export function listCheckplan(query) {
  return request({
    url: '/dms/checkplan/list',
    method: 'get',
    params: query
  })
}

// 查询设备盘点计划详细
export function getCheckplan(flowCheckplanId) {
  return request({
    url: '/dms/checkplan/' + flowCheckplanId,
    method: 'get'
  })
}

// 新增设备盘点计划
export function addCheckplan(data) {
  return request({
    url: '/dms/checkplan',
    method: 'post',
    data: data
  })
}

// 修改设备盘点计划
export function updateCheckplan(data) {
  return request({
    url: '/dms/checkplan',
    method: 'put',
    data: data
  })
}

// 删除设备盘点计划
export function delCheckplan(flowCheckplanId) {
  return request({
    url: '/dms/checkplan/' + flowCheckplanId,
    method: 'delete'
  })
}
